#include <bits/stdc++.h>

using namespace std;

bool cmp(long long a, long long b){
    stack<long long> as, bs;
    while(a > 0){
        as.push(a % 10);
        a /= 10;
    }
    while(b > 0){
        bs.push(b % 10);
        b /= 10;
    }
    long long ac, bc, af, bf;
    /*ac = as.top();
    bc = bs.top();*/
    af = as.top();
    bf = bs.top();
    while(!as.empty() && !bs.empty()){
        ac = as.top();
        bc = bs.top();
        if(ac > bc){
            return true;
        }
        if(bc > ac){
            return false;
        }
        as.pop(); bs.pop();
    }
    while(!as.empty()){
        ac = as.top();
        if(ac > bf){
            return true;
        }
        if(bf > ac){
            return false;
        }
        as.pop();
    }
    while(!bs.empty()){
        bc = bs.top();
        if(af > bc){
            return true;
        }
        if(bc > af){
            return false;
        }
        bs.pop();
    }
    return true;
};


int main()
{
    long long niz[3];
    //freopen("Input.txt", "r", stdin);
    //freopen("Output.txt", "w", stdout);
    for(int i = 0; i < 3; i++){
        cin >> niz[i];
    }
    sort(niz, niz + 3, cmp);
    for(int i = 0; i < 3; i++){
        cout << niz[i];
    }
    return 0;
}